/**
 * @see https://avatars.dicebear.com/docs/getting-started
 */
export declare type DiceBearAvatarStyleName = 'adventurer' | 'adventurer-neutral' | 'avataaars' | 'avataaars-Neutral' | 'big-ears' | 'big-ears-neutral' | 'big-smile' | 'bottts' | 'bottts-neutral' | 'croodles' | 'croodles-neutral' | 'fun-emoji' | 'icons' | 'identicon' | 'initials' | 'lorelei' | 'lorelei-neutral' | 'micah' | 'miniavs' | 'open-peeps' | 'personas' | 'pixel-art' | 'pixel-art-neutral' | 'shapes' | 'thumbs';
/**
 * Simple wrapper around the DiceBear API.
 * @see https://avatars.dicebear.com/docs/getting-started
 */
export declare class DiceBear {
    /**
     * Generates a random seed used to generate the avatar.
     */
    static randomSeed(): string;
    /**
     * Generates an avatar URL.
     * @param avatarStyleName {DiceBearAvatarStyleName} The avatar style name.
     * @param seed {string} The seed used to generate the avatar.
     */
    static getAvatarUrl(avatarStyleName: DiceBearAvatarStyleName, seed?: string): string;
}
